# osg::ArgumentParser::Parameter::ValueUnion Union Reference

List of all members.

## Public Attributes

float * | _float
double * | _double
int * | _int
unsigned int * | _uint
std::string * | _string

## Member Data Documentation

double* osg::ArgumentParser::Parameter::ValueUnion::_double

float* osg::ArgumentParser::Parameter::ValueUnion::_float

int* osg::ArgumentParser::Parameter::ValueUnion::_int

std::string* osg::ArgumentParser::Parameter::ValueUnion::_string

unsigned int* osg::ArgumentParser::Parameter::ValueUnion::_uint

The documentation for this union was generated from the following file:

- ArgumentParser